{"_id":"@depup/peculiar__asn1-ecc","_rev":"6-055ac867c70be374460543c017c3bae0","name":"@depup/peculiar__asn1-ecc","dist-tags":{"latest":"2.10.0-depup.0"},"versions":{"2.6.1-depup.0":{"name":"@depup/peculiar__asn1-ecc","version":"2.6.1-depup.0","keywords":["depup","dependency-bumped","updated-deps","@peculiar/asn1-ecc","asn","ecc","rfc5915","rfc5480","rfc3279"],"author":{"name":"PeculiarVentures, LLC"},"license":"MIT","_id":"@depup/peculiar__asn1-ecc@2.6.1-depup.0","maintainers":[{"name":"chiefmikey","email":"wolfemikl@gmail.com"}],"homepage":"https://github.com/PeculiarVentures/asn1-schema/tree/master/packages/ecc#readme","bugs":{"url":"https://github.com/PeculiarVentures/asn1-schema/issues"},"dist":{"shasum":"205c78e417dbe0c82e5138115eac951127653cf3","tarball":"https://registry.npmjs.org/@depup/peculiar__asn1-ecc/-/peculiar__asn1-ecc-2.6.1-depup.0.tgz","fileCount":25,"integrity":"sha512-A79DPhTvARwd307zGJnmz3WRsQtTCpuxWpE1zJn2cKv0yrdp6TU8xrAiqmlm0d9u0D7g89hVlKZP6rSVzOuBUA==","signatures":[{"sig":"MEYCIQDmC+igyPrsKer9Na1AokG7c9Ty7gMyCAUN2VLowW5iPQIhANcZDADwoRL4Ue6Fw6K3o+TwE2mWNc9RTbTDuBYYytGL","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":27229},"main":"build/cjs/index.js","depup":{"changes":{"asn1js":{"to":"^3.0.7","from":"^3.0.6"}},"smokeTest":"passed","depsUpdated":1,"processedAt":"2026-03-17T16:32:33.628Z","originalPackage":"@peculiar/asn1-ecc","originalVersion":"2.6.1"},"types":"build/types/index.d.ts","module":"build/es2015/index.js","gitHead":"e533eba96fe14ca21b9a1b3f47cb58aaaa78c0ad","scripts":{"build":"npm run build:module && npm run build:types","clear":"rimraf build","rebuild":"npm run clear && npm run build","build:cjs":"tsc -p tsconfig.compile.json --removeComments --module commonjs --outDir build/cjs","build:types":"tsc -p tsconfig.compile.json --outDir build/types --declaration --emitDeclarationOnly","build:es2015":"tsc -p tsconfig.compile.json --removeComments --module ES2015 --outDir build/es2015","build:module":"npm run build:cjs && npm run build:es2015","prebuild:types":"rimraf build/types"},"_npmUser":{"name":"chiefmikey","email":"wolfemikl@gmail.com"},"_npmVersion":"11.9.0","description":"[DepUp] ASN.1 schema of `Elliptic Curve Private Key Structure` (RFC5915)","directories":{},"_nodeVersion":"24.14.0","dependencies":{"tslib":"^2.8.1","asn1js":"^3.0.7","@peculiar/asn1-x509":"^2.6.1","@peculiar/asn1-schema":"^2.6.0"},"_hasShrinkwrap":false,"_npmOperationalInternal":{"tmp":"tmp/peculiar__asn1-ecc_2.6.1-depup.0_1773765155604_0.8970690577948774","host":"s3://npm-registry-packages-npm-production"}},"2.9.0-depup.0":{"name":"@depup/peculiar__asn1-ecc","version":"2.9.0-depup.0","keywords":["@peculiar/asn1-ecc","depup","updated-dependencies","security","latest","patched","asn","asn1","ecc","ec","elliptic-curve","rfc5915","rfc5480","rfc3279"],"author":{"name":"PeculiarVentures, LLC"},"license":"MIT","_id":"@depup/peculiar__asn1-ecc@2.9.0-depup.0","maintainers":[{"name":"chiefmikey","email":"wolfemikl@gmail.com"}],"homepage":"https://github.com/PeculiarVentures/asn1-schema/tree/master/packages/ecc#readme","bugs":{"url":"https://github.com/PeculiarVentures/asn1-schema/issues"},"dist":{"shasum":"cdb87727e58a916e9d5e2f852023ec35cc1965ab","tarball":"https://registry.npmjs.org/@depup/peculiar__asn1-ecc/-/peculiar__asn1-ecc-2.9.0-depup.0.tgz","fileCount":26,"integrity":"sha512-MYFub+HedDUo82PyN6MmLgs9vvdEXDlzOT+crvViVdaStKGPCInXpcfjhvfX3g+kYluXZ07CQ6ZAd/S23yKfHA==","signatures":[{"sig":"MEYCIQCH/39EpogdP0iMMAG/qSuS1E/jT31FHgl44YVdTEW3tgIhAOLecXugNyvBNUSDyepWkYMABQEtHYjWkFUUIubXcgej","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":28309},"main":"build/cjs/index.js","depup":{"changes":{},"smokeTest":"passed","depsUpdated":0,"processedAt":"2026-08-14T16:18:13.019Z","originalPackage":"@peculiar/asn1-ecc","originalVersion":"2.9.0"},"types":"build/types/index.d.ts","module":"build/es2015/index.js","exports":{".":{"types":"./build/types/index.d.ts","import":"./build/es2015/index.js","require":"./build/cjs/index.js"},"./package.json":"./package.json"},"gitHead":"84560dcc6d149c31c639ef54c9ff17547c34f145","scripts":{"build":"npm run build:module && npm run build:types","clear":"rimraf build","rebuild":"npm run clear && npm run build","build:cjs":"tsc -p tsconfig.compile.json --removeComments --module commonjs --outDir build/cjs","build:types":"tsc -p tsconfig.compile.json --outDir build/types --declaration --emitDeclarationOnly","build:es2015":"tsc -p tsconfig.compile.json --removeComments --module ES2015 --outDir build/es2015","build:module":"npm run build:cjs && npm run build:es2015","prebuild:types":"rimraf build/types","postbuild:es2015":"node ../../scripts/prepare_esm_package.mjs build/es2015"},"_npmUser":{"name":"chiefmikey","email":"wolfemikl@gmail.com"},"repository":{"url":"git+https://github.com/PeculiarVentures/asn1-schema.git","type":"git","directory":"packages/ecc"},"_npmVersion":"11.17.0","description":"ASN.1 schema for elliptic-curve private keys and related identifiers defined in RFC 5915, RFC 5480, and RFC 3279. (with updated dependencies)","directories":{},"_nodeVersion":"24.19.0","dependencies":{"tslib":"^2.8.1","asn1js":"^3.0.10","@peculiar/asn1-x509":"^2.9.0","@peculiar/asn1-schema":"^2.9.0"},"_hasShrinkwrap":false,"_npmOperationalInternal":{"tmp":"tmp/peculiar__asn1-ecc_2.9.0-depup.0_1786724295232_0.6800905772678063","host":"s3://npm-registry-packages-npm-production"}},"2.9.3-depup.0":{"name":"@depup/peculiar__asn1-ecc","version":"2.9.3-depup.0","keywords":["@peculiar/asn1-ecc","depup","updated-dependencies","security","latest","patched","asn","asn1","ecc","ec","elliptic-curve","rfc5915","rfc5480","rfc3279"],"author":{"name":"PeculiarVentures, LLC"},"license":"MIT","_id":"@depup/peculiar__asn1-ecc@2.9.3-depup.0","maintainers":[{"name":"chiefmikey","email":"wolfemikl@gmail.com"}],"homepage":"https://github.com/PeculiarVentures/asn1-schema/tree/master/packages/ecc#readme","bugs":{"url":"https://github.com/PeculiarVentures/asn1-schema/issues"},"dist":{"shasum":"286fa3ce748e28156ca455a7399bd9bbb8663abf","tarball":"https://registry.npmjs.org/@depup/peculiar__asn1-ecc/-/peculiar__asn1-ecc-2.9.3-depup.0.tgz","fileCount":26,"integrity":"sha512-uhtS4qLXi1bE4VeCliqmh94flPcFVNP+OI5d4IeMCxFEuDOkNbpA/oS4X4zYg3d4YFBV/wpQ4n7GxDK+2jl6+A==","signatures":[{"sig":"MEQCIDhEoDAPyf3BKZhA/X6ESR0l2Vwv0N8X+N7yNkBBU6MrAiBNHorxYM4e4uKBOylW0ufhWUUeUesFXDixgVdKziZTtw==","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":28252},"main":"build/cjs/index.js","depup":{"changes":{},"smokeTest":"passed","depsUpdated":0,"processedAt":"2026-08-18T16:08:53.345Z","originalPackage":"@peculiar/asn1-ecc","originalVersion":"2.9.3"},"types":"build/types/index.d.ts","module":"build/es2015/index.js","exports":{".":{"types":"./build/types/index.d.ts","import":"./build/es2015/index.js","require":"./build/cjs/index.js"},"./package.json":"./package.json"},"gitHead":"c0bc70a8856808972e86e7882857014a89fc806e","scripts":{"build":"npm run build:module && npm run build:types","clear":"rimraf build","rebuild":"npm run clear && npm run build","build:cjs":"tsc -p tsconfig.compile.json --removeComments --module commonjs --outDir build/cjs","build:types":"tsc -p tsconfig.compile.json --outDir build/types --declaration --emitDeclarationOnly","build:es2015":"tsc -p tsconfig.compile.json --removeComments --module ES2015 --outDir build/es2015","build:module":"npm run build:cjs && npm run build:es2015","prebuild:types":"rimraf build/types","postbuild:es2015":"node ../../scripts/prepare_esm_package.mjs build/es2015"},"_npmUser":{"name":"chiefmikey","email":"wolfemikl@gmail.com"},"repository":{"url":"git+https://github.com/PeculiarVentures/asn1-schema.git","type":"git","directory":"packages/ecc"},"_npmVersion":"11.17.0","description":"ASN.1 schema for elliptic-curve private keys and related identifiers defined in RFC 5915, RFC 5480, and RFC 3279. (with updated dependencies)","directories":{},"_nodeVersion":"24.19.0","dependencies":{"tslib":"^2.8.1","asn1js":"^3.0.10","@peculiar/asn1-x509":"^2.9.3","@peculiar/asn1-schema":"^2.9.3"},"_hasShrinkwrap":false,"_npmOperationalInternal":{"tmp":"tmp/peculiar__asn1-ecc_2.9.3-depup.0_1787069335466_0.00447616332819778","host":"s3://npm-registry-packages-npm-production"}},"2.9.4-depup.0":{"name":"@depup/peculiar__asn1-ecc","version":"2.9.4-depup.0","keywords":["@peculiar/asn1-ecc","depup","updated-dependencies","security","latest","patched","asn","asn1","ecc","ec","elliptic-curve","rfc5915","rfc5480","rfc3279"],"author":{"name":"PeculiarVentures, LLC"},"license":"MIT","_id":"@depup/peculiar__asn1-ecc@2.9.4-depup.0","maintainers":[{"name":"chiefmikey","email":"wolfemikl@gmail.com"}],"homepage":"https://github.com/PeculiarVentures/asn1-schema/tree/master/packages/ecc#readme","bugs":{"url":"https://github.com/PeculiarVentures/asn1-schema/issues"},"dist":{"shasum":"2c703dfe5025f611e4f6885f28e3d0ae94bb5819","tarball":"https://registry.npmjs.org/@depup/peculiar__asn1-ecc/-/peculiar__asn1-ecc-2.9.4-depup.0.tgz","fileCount":26,"integrity":"sha512-0e1Mwr3R6ImnoXKTFDMjXnN3dEfEHNWw8ZcR+B78i2ar+bgH4TZ1ABzooJhOVz5YVbZMtJspIlO/x9XMhquQlQ==","signatures":[{"sig":"MEQCIFLFZp7iGANtgouuexSBpDJoxWKI0oZnhp0cSQW5hyMHAiAbluyEcXtCCn0G0dELC18hitBACpCP3lms5UtuNU8nog==","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":28291},"main":"build/cjs/index.js","depup":{"changes":{},"smokeTest":"passed","depsUpdated":0,"processedAt":"2026-08-20T16:09:11.610Z","originalPackage":"@peculiar/asn1-ecc","originalVersion":"2.9.4"},"types":"build/types/index.d.ts","module":"build/es2015/index.js","engines":{"node":">=14"},"exports":{".":{"types":"./build/types/index.d.ts","import":"./build/es2015/index.js","require":"./build/cjs/index.js"},"./package.json":"./package.json"},"gitHead":"fa5903cf9fb72e067b68bf1e04b363c18eab2aa0","scripts":{"build":"npm run build:module && npm run build:types","clear":"rimraf build","rebuild":"npm run clear && npm run build","build:cjs":"tsc -p tsconfig.compile.json --removeComments --module commonjs --outDir build/cjs","build:types":"tsc -p tsconfig.compile.json --outDir build/types --declaration --emitDeclarationOnly","build:es2015":"tsc -p tsconfig.compile.json --removeComments --module ES2015 --outDir build/es2015","build:module":"npm run build:cjs && npm run build:es2015","prebuild:types":"rimraf build/types","postbuild:es2015":"node ../../scripts/prepare_esm_package.mjs build/es2015"},"_npmUser":{"name":"chiefmikey","email":"wolfemikl@gmail.com"},"repository":{"url":"git+https://github.com/PeculiarVentures/asn1-schema.git","type":"git","directory":"packages/ecc"},"_npmVersion":"11.17.0","description":"ASN.1 schema for elliptic-curve private keys and related identifiers defined in RFC 5915, RFC 5480, and RFC 3279. (with updated dependencies)","directories":{},"_nodeVersion":"24.19.0","dependencies":{"tslib":"^2.8.1","asn1js":"^3.0.10","@peculiar/asn1-x509":"^2.9.4","@peculiar/asn1-schema":"^2.9.4"},"_hasShrinkwrap":false,"_npmOperationalInternal":{"tmp":"tmp/peculiar__asn1-ecc_2.9.4-depup.0_1787242153861_0.32914716019924484","host":"s3://npm-registry-packages-npm-production"}},"2.9.5-depup.0":{"name":"@depup/peculiar__asn1-ecc","version":"2.9.5-depup.0","keywords":["@peculiar/asn1-ecc","depup","updated-dependencies","security","latest","patched","asn","asn1","ecc","ec","elliptic-curve","rfc5915","rfc5480","rfc3279"],"author":{"name":"PeculiarVentures, LLC"},"license":"MIT","_id":"@depup/peculiar__asn1-ecc@2.9.5-depup.0","maintainers":[{"name":"chiefmikey","email":"wolfemikl@gmail.com"}],"homepage":"https://github.com/PeculiarVentures/asn1-schema/tree/master/packages/ecc#readme","bugs":{"url":"https://github.com/PeculiarVentures/asn1-schema/issues"},"dist":{"shasum":"506194ca09a589be0c47823c5ea66296aa436407","tarball":"https://registry.npmjs.org/@depup/peculiar__asn1-ecc/-/peculiar__asn1-ecc-2.9.5-depup.0.tgz","fileCount":26,"integrity":"sha512-4DieMIMIH6yKCsAmMGBcm5IHYQEv8KKM94gpLtUUKbDDYhPVOPzm7U9qBuIK+rL7RgAcZ6r9tFH/owlofLabnw==","signatures":[{"sig":"MEUCIHDqPcCEupnWKH30qoz7Q8Q3tocxNelsVnWIdw+2BTybAiEAj8bAl7beKxSDWtWBQGKyxKSejLH++HXfj8/R9LmCeyg=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"},{"sig":"MEQCIC6o5Ps7Uq8H+iA6lHxeaFue89D5Ff0iu6DclOUA5xYmAiAePYO9V1TAJ8pBnWEtYqyQ9fOFmjRKeNAbq2Y8Vq9QZg==","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":28291},"main":"build/cjs/index.js","depup":{"changes":{},"smokeTest":"passed","depsUpdated":0,"processedAt":"2026-09-21T00:34:37.593Z","originalPackage":"@peculiar/asn1-ecc","originalVersion":"2.9.5"},"types":"build/types/index.d.ts","module":"build/es2015/index.js","engines":{"node":">=14"},"exports":{".":{"types":"./build/types/index.d.ts","import":"./build/es2015/index.js","require":"./build/cjs/index.js"},"./package.json":"./package.json"},"gitHead":"15607f92467705fca6cd7062b42e2d977cec28b8","scripts":{"build":"npm run build:module && npm run build:types","clear":"rimraf build","rebuild":"npm run clear && npm run build","build:cjs":"tsc -p tsconfig.compile.json --removeComments --module commonjs --outDir build/cjs","build:types":"tsc -p tsconfig.compile.json --outDir build/types --declaration --emitDeclarationOnly","build:es2015":"tsc -p tsconfig.compile.json --removeComments --module ES2015 --outDir build/es2015","build:module":"npm run build:cjs && npm run build:es2015","prebuild:types":"rimraf build/types","postbuild:es2015":"node ../../scripts/prepare_esm_package.mjs build/es2015"},"_npmUser":{"name":"chiefmikey","email":"wolfemikl@gmail.com"},"repository":{"url":"git+https://github.com/PeculiarVentures/asn1-schema.git","type":"git","directory":"packages/ecc"},"_npmVersion":"11.19.0","description":"ASN.1 schema for elliptic-curve private keys and related identifiers defined in RFC 5915, RFC 5480, and RFC 3279. (with updated dependencies)","directories":{},"_nodeVersion":"24.20.0","dependencies":{"tslib":"^2.8.1","asn1js":"^3.0.10","@peculiar/asn1-x509":"^2.9.5","@peculiar/asn1-schema":"^2.9.5"},"_hasShrinkwrap":false,"_npmOperationalInternal":{"tmp":"tmp/peculiar__asn1-ecc_2.9.5-depup.0_1789950913679_0.0483843683102243","host":"s3://npm-registry-packages-npm-production"}},"2.10.0-depup.0":{"_id":"@depup/peculiar__asn1-ecc@2.10.0-depup.0","bugs":{"url":"https://github.com/PeculiarVentures/asn1-schema/issues"},"dist":{"shasum":"4aeac8ef6b7c212f2546cc18e222a7cf5299326d","tarball":"https://registry.npmjs.org/@depup/peculiar__asn1-ecc/-/peculiar__asn1-ecc-2.10.0-depup.0.tgz","fileCount":25,"integrity":"sha512-WM61UnHlKw34StfRfYSXxFKqsySFn91m+YYr7YTXzzX/qxzBBzQLk7AVp8jV+1ZrV3fIsJEy7TqACAGr2m1Azg==","signatures":[{"sig":"MEUCIQD4e/APks8E0Iz4POhfK21r85utGDMHmMqbtYluBCzx0wIgcN75fp00rbNrDbBWeplYcLmfN/OMGN6297A3BAYNw+c=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"},{"keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U","sig":"MEQCIHhGuoeUWXIA8+aK6eBj00fJCVOVwcNSI6NqJ8dQIkgfAiBFtwZI05XxCXS7VnfzpM8GYLN7RA+Nd81gR4tC9snTZQ=="}],"unpackedSize":27927},"main":"build/cjs/index.js","name":"@depup/peculiar__asn1-ecc","depup":{"changes":{},"smokeTest":"passed","depsUpdated":0,"processedAt":"2026-09-27T16:09:05.305Z","originalPackage":"@peculiar/asn1-ecc","originalVersion":"2.10.0"},"types":"build/types/index.d.ts","author":{"name":"PeculiarVentures, LLC"},"module":"build/es2015/index.js","engines":{"node":">=14"},"gitHead":"435741f8f74140a5b090cdb50ccb4d3e03d41e3e","license":"MIT","scripts":{"build":"npm run build:module && npm run build:types","clear":"rimraf build","rebuild":"npm run clear && npm run build","build:cjs":"tsc -p tsconfig.compile.json --removeComments --module commonjs --outDir build/cjs","build:types":"tsc -p tsconfig.compile.json --outDir build/types --declaration --emitDeclarationOnly","build:es2015":"tsc -p tsconfig.compile.json --removeComments --module ES2015 --outDir build/es2015","build:module":"npm run build:cjs && npm run build:es2015","prebuild:types":"rimraf build/types"},"version":"2.10.0-depup.0","_npmUser":{"name":"chiefmikey","email":"wolfemikl@gmail.com"},"homepage":"https://github.com/PeculiarVentures/asn1-schema/tree/master/packages/ecc#readme","keywords":["@peculiar/asn1-ecc","depup","updated-dependencies","security","latest","patched","asn","asn1","ecc","ec","elliptic-curve","rfc5915","rfc5480","rfc3279"],"repository":{"url":"git+https://github.com/PeculiarVentures/asn1-schema.git","type":"git","directory":"packages/ecc"},"_npmVersion":"11.19.0","description":"ASN.1 schema for elliptic-curve private keys and related identifiers defined in RFC 5915, RFC 5480, and RFC 3279. (with updated dependencies)","directories":{},"maintainers":[{"name":"chiefmikey","email":"wolfemikl@gmail.com"}],"_nodeVersion":"24.21.0","dependencies":{"tslib":"^2.8.1","asn1js":"^3.0.10","@peculiar/asn1-x509":"^2.10.0","@peculiar/asn1-schema":"^2.10.0"},"_hasShrinkwrap":false,"_npmOperationalInternal":{"host":"s3://npm-registry-packages-npm-production","tmp":"tmp/peculiar__asn1-ecc_2.10.0-depup.0_1790525534444_0.7023731075332138"}}},"time":{"created":"2026-03-17T16:32:35.525Z","modified":"2026-09-27T16:12:14.715Z","2.6.1-depup.0":"2026-03-17T16:32:35.753Z","2.9.0-depup.0":"2026-08-14T16:18:15.365Z","2.9.3-depup.0":"2026-08-18T16:08:55.625Z","2.9.4-depup.0":"2026-08-20T16:09:14.017Z","2.9.5-depup.0":"2026-09-21T00:35:13.775Z","2.10.0-depup.0":"2026-09-27T16:12:14.530Z"},"bugs":{"url":"https://github.com/PeculiarVentures/asn1-schema/issues"},"author":{"name":"PeculiarVentures, LLC"},"license":"MIT","homepage":"https://github.com/PeculiarVentures/asn1-schema/tree/master/packages/ecc#readme","keywords":["@peculiar/asn1-ecc","depup","updated-dependencies","security","latest","patched","asn","asn1","ecc","ec","elliptic-curve","rfc5915","rfc5480","rfc3279"],"repository":{"url":"git+https://github.com/PeculiarVentures/asn1-schema.git","type":"git","directory":"packages/ecc"},"description":"ASN.1 schema for elliptic-curve private keys and related identifiers defined in RFC 5915, RFC 5480, and RFC 3279. (with updated dependencies)","maintainers":[{"name":"chiefmikey","email":"wolfemikl@gmail.com"}],"readme":"# @depup/peculiar__asn1-ecc\n\n> Dependency-bumped version of [@peculiar/asn1-ecc](https://www.npmjs.com/package/@peculiar/asn1-ecc)\n\nGenerated by [DepUp](https://github.com/depup/npm) -- all production\ndependencies bumped to latest versions.\n\n## Installation\n\n```bash\nnpm install @depup/peculiar__asn1-ecc\n```\n\n| Field | Value |\n|-------|-------|\n| Original | [@peculiar/asn1-ecc](https://www.npmjs.com/package/@peculiar/asn1-ecc) @ 2.10.0 |\n| Processed | 2026-09-27 |\n| Smoke test | passed |\n| Deps updated | 0 |\n\n---\n\nSource: https://github.com/depup/npm | Original: https://www.npmjs.com/package/@peculiar/asn1-ecc\n\nLicense inherited from the original package.","readmeFilename":"README.md"}